%define upstream_name	 WWW-Curl
%define upstream_version 4.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 28

Summary:    Perl extension interface for libcurl
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         WWW-Curl-4.17-Skip-preprocessor-symbol-only-CURL_STRICTER.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=941915
Patch1:         WWW-Curl-4.17-define-CURL-as-void.patch
# Adapt to changes in cURL 7.69.0, rhbz#1812910, CPAN RT#132197
Patch2:         WWW-Curl-4.17-Adapt-to-changes-in-cURL-7.69.0.patch
# Adapt to changes in cURL 7.87.0, bug #2160057, CPAN RT#145992
Patch3:	  	WWW-Curl-4.17-Adapt-to-curl-7.87.0.patch	
# Workound a bug in cURL 7.87.0, bug #2160057, CPAN RT#145992
Patch4:		WWW-Curl-4.17-Work-around-a-macro-bug-in-curl-7.87.0.patch
# Workound a bug in WWW::CURL 4.17, bug #2245689, GH #9
Patch5:         WWW-Curl-4.17-add-back-CURLOPT_RESOLV-support.patch
# Adapt to new version of gcc, bug #2259537
Patch6:         WWW-Curl-4.17-BRC2259537.patch
BuildRequires: pkgconfig(libcurl)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: pkgconfig(libcurl)
BuildRequires: perl-devel

%description
WWW::Curl is a Perl extension interface for libcurl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
# yes, some tests are interactive. that's Evil.
# no point in running them, then: they'll be skipped
#%%{__make} test < /dev/null

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorarch}/WWW
%{perl_vendorarch}/auto/WWW
%{_mandir}/*/*


%changelog
* Fri Aug 23 2024 tv <tv> 4.170.0-28.mga10
+ Revision: 2088856
- Fix build
+ neoclust <neoclust>
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 4.170.0-27.mga10
+ Revision: 2010932
- Rebuild for perl-5.38

* Sun Feb 26 2023 neoclust <neoclust> 4.170.0-26.mga9
+ Revision: 1945519
- Adapt to curl 7.87.0

* Tue Jun 07 2022 umeabot <umeabot> 4.170.0-25.mga9
+ Revision: 1862613
- Rebuild for Perl 5.36

* Wed Mar 23 2022 umeabot <umeabot> 4.170.0-24.mga9
+ Revision: 1821880
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 4.170.0-23.mga9
+ Revision: 1727314
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 4.170.0-22.mga8
+ Revision: 1595305
- Rebuild for perl 5.32

* Wed Apr 29 2020 tv <tv> 4.170.0-21.mga8
+ Revision: 1573081
- fix build with cURL 7.69.0, rhbz#1812910, CPAN RT#132197

* Sun Feb 16 2020 umeabot <umeabot> 4.170.0-20.mga8
+ Revision: 1530160
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 tv <tv> 4.170.0-19.mga8
+ Revision: 1517843
- fix build

* Tue Aug 27 2019 tmb <tmb> 4.170.0-18.mga8
+ Revision: 1433947
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 4.170.0-17.mga7
+ Revision: 1293982
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 4.170.0-16.mga7
+ Revision: 1249314
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 4.170.0-15.mga7
+ Revision: 1167341
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 4.170.0-14.mga7
+ Revision: 1149979
- Rebuild for perl ABI changes

* Sun Jul 23 2017 cjw <cjw> 4.170.0-13.mga7
+ Revision: 1129654
- fix build with new perl
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Sep 11 2016 daviddavid <daviddavid> 4.170.0-12.mga6
+ Revision: 1051454
- add patch to fix build with curl >= 7.50.2

* Sun Jun 19 2016 pterjan <pterjan> 4.170.0-11.mga6
+ Revision: 1035703
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 4.170.0-10.mga6
+ Revision: 958205
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 4.170.0-9.mga6
+ Revision: 845512
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tmb <tmb> 4.170.0-8.mga6
+ Revision: 840401
- rebuild with buildsystem
- rebuild with perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 4.170.0-6.mga5
+ Revision: 740125
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 4.170.0-5.mga5
+ Revision: 732617
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 4.170.0-4.mga5
+ Revision: 686834
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 pterjan <pterjan> 4.170.0-3.mga5
+ Revision: 630701
- Rebuild cleanly
- Rebuild for new Perl

* Mon Feb 24 2014 jquelin <jquelin> 4.170.0-1.mga5
+ Revision: 596398
- update to 4.17

* Sat Oct 19 2013 umeabot <umeabot> 4.150.0-10.mga4
+ Revision: 524738
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 4.150.0-9.mga4
+ Revision: 431373
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.150.0-8.mga3
+ Revision: 374728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 4.150.0-7.mga3
+ Revision: 283405
- Clean rebuild

* Sun Jun 12 2011 ahmad <ahmad> 4.150.0-6.mga2
+ Revision: 104542
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 4.150.0-2.mga1
+ Revision: 23252
- rebuild for new perl

* Wed Jan 12 2011 jquelin <jquelin> 4.150.0-1.mga1
+ Revision: 7440
- imported package perl-WWW-Curl

